• Русский
  • Dashboard [ait.alauda.io/v1alpha1]

    Description
    Dashboard is the Schema for the dashboards API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    DashboardSpec defines the desired state of Dashboard

    .spec

    Description
    DashboardSpec defines the desired state of Dashboard
    Type
    object
    PropertyTypeDescription
    panelsarray

    Dashboard contains panels to show monitor indicator.

    .spec.panels

    Description
    Dashboard contains panels to show monitor indicator.
    Type
    array

    .spec.panels[]

    Description
    DashboardPanel defines the info of panel, including title, targets, position.
    Type
    object
    Required
    descriptiontitle
    PropertyTypeDescription
    descriptionstring

    Description is the description of a panel

    targetsarray

    Targets define an array of indicator

    titlestring

    Title is the title of a panel

    .spec.panels[].targets

    Description
    Targets define an array of indicator
    Type
    array

    .spec.panels[].targets[]

    Type
    object
    Required
    displayName
    PropertyTypeDescription
    displayNamestring

    DisplayName is the displayName of indicator

    exprstring

    Expr is the prometheus expression to query for custom indicator; no need for builtin indicator

    indicatorstring

    Indicator is the name of indicator for builtin indicator, md5 of expr for custom indicator

    legendstring

    Legend is format to show the query result

    resourcesarray

    Resources defines the resources to monitor, empty array for all resources in a application; no need for custom indicator

    typestring

    Type is the type of a indicator, builtin or custom

    unitstring

    Unit is the unit of indicator

    .spec.panels[].targets[].resources

    Description
    Resources defines the resources to monitor, empty array for all resources in a application; no need for custom indicator
    Type
    array

    .spec.panels[].targets[].resources[]

    Type
    object
    Required
    kindname
    PropertyTypeDescription
    kindstring

    Kind defines the kind of a resource

    namestring

    Name defines the name of a resource

    namespacestring

    Namespace defines the namespace of a resource

    API Endpoints

    The following API endpoints are available:

    • /apis/ait.alauda.io/v1alpha1/namespaces/{namespace}/dashboards
      • DELETE: delete collection of Dashboard
      • GET: list objects of kind Dashboard
      • POST: create a new Dashboard
    • /apis/ait.alauda.io/v1alpha1/namespaces/{namespace}/dashboards/{name}
      • DELETE: delete the specified Dashboard
      • GET: read the specified Dashboard
      • PATCH: partially update the specified Dashboard
      • PUT: replace the specified Dashboard

    /apis/ait.alauda.io/v1alpha1/namespaces/{namespace}/dashboards

    HTTP method
    DELETE
    Description
    delete collection of Dashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Dashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKDashboardList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Dashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDashboard schema
    201 - CreatedDashboard schema
    202 - AcceptedDashboard schema
    401 - UnauthorizedEmpty

    /apis/ait.alauda.io/v1alpha1/namespaces/{namespace}/dashboards/{name}

    HTTP method
    DELETE
    Description
    delete the specified Dashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Dashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Dashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Dashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDashboard schema
    201 - CreatedDashboard schema
    401 - UnauthorizedEmpty